<?php
	include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				//Calcolo il totale da pagare
				$rs = $dbo->fetchArray("SELECT SUM(da_pagare) AS totale_da_pagare FROM co_scadenziario GROUP BY iddocumento HAVING iddocumento=(SELECT iddocumento FROM co_scadenziario s WHERE id=\"".$id_record."\")");
				$totale_da_pagare = $rs[0]['totale_da_pagare'];
				
				$totale_utente = 0;
				
				
				//Verifico se il totale sommato è uguale al totale da pagare
				foreach( $_POST['scadenza'] as $idscadenza => $da_pagare ){
					$totale_utente += force_decimal( $da_pagare );
				}
				
				if( force_decimal($totale_utente) == force_decimal($totale_da_pagare) ){
					foreach( $_POST['scadenza'] as $idscadenza => $da_pagare ){
						$dbo->query("UPDATE co_scadenziario SET da_pagare=\"".force_decimal($da_pagare)."\", pagato=\"".force_decimal($_POST['pagato'][$idscadenza])."\", scadenza=\"".saveDate($_POST['data'][$idscadenza])."\" WHERE id=\"".$idscadenza."\"");
					}
					
					array_push( $_SESSION['infos'], "Scadenze aggiornate!" );
				}
				
				else{
					array_push( $_SESSION['errors'], "Il totale degli importi inseriti non corrisponde al totale da pagare!" );
				}
			}
			
		break;
		
		case "sendemail":
		
			//Calcolo il totale da pagare per mail
			//	$oggetto = html_entity_decode($_POST['oggetto']);	
				$allegato = $_POST['allegato'];		
				$destinatario=$_POST['destinatario'];
			//	$testo_email = $_POST['body'];
				
				$oggetto = html_entity_decode($_POST['oggetto'], ENT_QUOTES);
				$testo_email = html_entity_decode($_POST['body'], ENT_QUOTES);
				
				$messaggio = new PHPmailer;	
				$messaggio->IsHTML(true);				
				$messaggio->FromName = str_replace( ",", ".", get_var("Nome Form Mail") );
				$messaggio->From  = str_replace( ",", ".", get_var("Indirizzo per le email in uscita") );	
				$messaggio->AddAddress($destinatario);	
								
							
				$mail_cc=str_replace( ",", ".", get_var("Destinatario fisso in copia (campo CC)"));				
				if ($mail_cc =""){
					$messaggio->AddCC($mail_cc);
				}				
				$messaggio->Subject=($oggetto);			
				$messaggio->Body=strip_tags($testo_email);
				$messaggio->AddAttachment( $allegato ); 
				
				if(!$messaggio->Send()){ 
					array_push( $_SESSION['infos'], $messaggio->ErrorInfo );
				
				}else{ 
					array_push( $_SESSION['infos'], "Email Sollecito inviata correttamente" );
					$data_odierna = date ("Y-m-d");
					$dbo->query("UPDATE co_scadenziario SET data_sollecito=\"".$data_odierna."\" WHERE id=\"".$id_record."\"");		
				
				
					$rs = $dbo->fetchArray("SELECT SUM(da_pagare) AS totale_da_pagare, scadenza AS scadenza_da_pagare, iddocumento AS documento_da_pagare FROM co_scadenziario GROUP BY iddocumento HAVING iddocumento=(SELECT iddocumento FROM co_scadenziario s WHERE id=\"".$id_record."\")");
					$totale_da_pagare = $rs[0]['totale_da_pagare'];
					$scadenza_da_pagare = $rs[0]['scadenza_da_pagare'];
				
					$rs = $dbo->fetchArray("SELECT * FROM (co_documenti INNER JOIN co_tipidocumento ON co_documenti.idtipodocumento=co_tipidocumento.id) INNER JOIN an_anagrafiche ON co_documenti.idanagrafica=an_anagrafiche.idanagrafica WHERE co_documenti.id=\"".$records[0]['iddocumento']."\"");
						( $rs[0]['numero_esterno'] != '' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
					$numero_documento = $rs[0]['numero_documento'];	
					$idanagrafica = $rs[0]['idanagrafica'];
					$datadoc = $rs[0]['data'];
				
				
					$query = "INSERT INTO co_solleciti ( idscadenza, idanagrafica, numero, datasoll, datadoc, da_pagare , mailsoll, tipomail )
					VALUES ( \"".$id_record."\", \"".$idanagrafica."\", \"".$numero_documento."\", \"".$data_odierna."\", \"".$datadoc."\", \"".$totale_da_pagare."\", \"".$destinatario."\", \"".strip_tags($testo_email)."\" )";
					$dbo->query($query);
				
				}
				
							
		break;
		
		
		case "add_acconto":
				$prezzo = force_decimal( $_POST['subtot'] );
				$data = saveDate( $_POST['data_acconto'] );	
				$descrizione = $_POST['descrizione'];	
				$idbanca = $_POST['idbanca'];	
				$q = "SELECT id , nome FROM co_banche WHERE id='".$idbanca."'";
				$rs_banca = $dbo->fetchArray($q);			
				$dbo->query("INSERT INTO `co_scadenziario_pagamenti` (`data_emissione`, `ricevuto`, `note`,`idbanca`,`banca`,`iddocumento`) VALUES ('".$data."','".$prezzo."','".$descrizione."','".$idbanca."','".$rs_banca[0]['nome']."','".$records[0]['iddocumento']."')");					
				array_push( $_SESSION['infos'], "Inserimento acconto ricevuto" );
			break;
		case "edit_acconto":
				$prezzo = force_decimal( $_POST['subtot'] );
				$data = saveDate( $_POST['data_acconto'] );	
				$descrizione = $_POST['descrizione'];	
				$idbanca = $_POST['idbanca'];	
				$idriga = $_POST['idriga'];					
				
				$q = "SELECT id , nome FROM co_banche WHERE id='".$idbanca."'";
				$rs_banca = $dbo->fetchArray($q);
				
				$dbo->query("UPDATE co_scadenziario_pagamenti SET data_emissione=\"".$data."\", ricevuto=\"".$prezzo."\", note=\"".$descrizione."\" , idbanca=\"".$rs_banca[0]['id']."\" , banca=\"".$rs_banca[0]['nome']."\" WHERE id=\"".$idriga."\"");
					
				
				array_push( $_SESSION['infos'], "Modifica acconto ricevuto completata" );
		
			break;
		
		case "unlink_acconto":
				$idriga = $_POST['idriga'];		
				$dbo->query("DELETE FROM `co_scadenziario_pagamenti` WHERE `id`='". $idriga."'");
				array_push( $_SESSION['infos'], "elimionote" );
			break;
			
	}
?>
